### Enumeration

# Vte ProgressHint

since: 0.80

#### Declaration

    enum Vte.ProgressHint

#### Description [src]

An enum describing how to interpret progress state, for the `VTE_TERMPROP_PROGRESS_HINT` termprop.

Available since: 0.80

#### Members

`VTE_PROGRESS_HINT_INACTIVE`

  No progress current.

  - Value: `0`
  - Available since: 0.80
`VTE_PROGRESS_HINT_ACTIVE`

  Progress is normal.

  - Value: `1`
  - Available since: 0.80
`VTE_PROGRESS_HINT_ERROR`

  Progress is aborted by an error.

  - Value: `2`
  - Available since: 0.80
`VTE_PROGRESS_HINT_INDETERMINATE`

  Progress is indeterminate.

  - Value: `3`
  - Available since: 0.80
`VTE_PROGRESS_HINT_PAUSED`

  Progress is paused.

  - Value: `4`
  - Available since: 0.80